## xtpcpp 0.1.13-1

=== CMakeLists.txt ===
# CMake script for C++ X!TandemPipeline
# Author: Olivier Langella
# Created: 05/06/2015

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(xtpcpp CXX)
IF(NOT CMAKE_BUILD_TYPE)
#  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
#      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
#      FORCE)
  SET(CMAKE_BUILD_TYPE Debug CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

MESSAGE("CMAKE_BUILD_TYPE : ${CMAKE_BUILD_TYPE}")

IF(CMAKE_BUILD_TYPE MATCHES "Release")
  MESSAGE("compiling as release version")
  ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
ENDIF( CMAKE_BUILD_TYPE MATCHES "Release" )

IF(CMAKE_BUILD_TYPE MATCHES "Debug")
  MESSAGE("compiling as debug version")
ENDIF( CMAKE_BUILD_TYPE MATCHES "Debug" )

IF(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
  MESSAGE("compiling as release with debug info version")
ENDIF( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )

#SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow -Wconversion")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")


#depending on libpappsomspp version :
SET(LIBPAPPSOMSPP_VERSION "0.2.35-1")
configure_file (${CMAKE_SOURCE_DIR}/debian/control.cmake ${CMAKE_SOURCE_DIR}/debian/control  @ONLY)


SET(SOFTWARE_NAME "XTPcpp")

SET(XTPCPP_VERSION_MAJOR "0")
SET(XTPCPP_VERSION_MINOR "1")
SET(XTPCPP_VERSION_PATCH "13")
SET(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
IF(CMAKE_INSTALL_PREFIX)
  SET(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF(CMAKE_INSTALL_PREFIX)

# Subdirectories
ADD_SUBDIRECTORY(src)

# Doxygen
FIND_PACKAGE(Doxygen)
IF (DOXYGEN_FOUND)
  ADD_CUSTOM_TARGET (apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  ADD_CUSTOM_TARGET (apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
ENDIF (DOXYGEN_FOUND)

# Packager
SET(CPACK_PACKAGE_NAME "xtpcpp")
SET(CPACK_PACKAGE_VENDOR "PAPPSO Development Team")
SET(CPACK_PACKAGE_VERSION "${XTPCPP_VERSION}")
SET(CPACK_PACKAGE_VERSION_MAJOR "${XTPCPP_VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${XTPCPP_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${XTPCPP_VERSION_PATCH}")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "protein inference tool")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.git"
 ".*\\\\.gz"
 ".*\\\\.deb"
 ".*\\\\.rpm"
 ".*\\\\.dmg"
 ".*\\\\.xpip"
 ".*\\\\..*\\\\.swp"
 "src/\\\\..*"
 "src/libbpp*"
 "debian/tmp"
 "debian/libbpp.*/"
 "debian/libbpp.*\\\\.so.*"
 "debian/libbpp.*\\\\.a"
 "debian/libbpp.*\\\\.substvars"
 "debian/libbpp.*\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "build/"
 "cbuild/"
 "html"
 "Core.tag"
 "Testing"
 "build-stamp"
 "install_manifest.txt"
 "DartConfiguration.tcl"
 ${CPACK_SOURCE_IGNORE_FILES}
)



#dch -Djessie "message"
#cmake ..
#make deb
# scp xtpcpp* proteus.moulon.inra.fr:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default
#
#  debuild -S -sa
# dput -f olivier-langella *changes

IF (MACOS)
  SET(CPACK_GENERATOR "Bundle")
ENDIF()

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
IF("${CMAKE_GENERATOR}" MATCHES "Make")
  ADD_CUSTOM_TARGET(make_clean
  COMMAND ${CMAKE_MAKE_PROGRAM} clean
  WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
  )
  ADD_DEPENDENCIES(dist make_clean)
ENDIF()

IF (UNIX)
#This creates deb packages:



	add_custom_target(targz
		cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz ${CPACK_PACKAGE_NAME}-${XTPCPP_VERSION}.tar.gz
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "Creating .tar.gz" VERBATIM
	)


	add_custom_target(deb
		cd ${CPACK_PACKAGE_NAME}-${XTPCPP_VERSION} && dpkg-buildpackage
		DEPENDS targz
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "Creating Debian package" VERBATIM
	)

	file(GLOB changesdebs "${CMAKE_BINARY_DIR}/${CPACK_PACKAGE_NAME}_*.dsc")

	foreach(libfile ${changesdebs})
	    SET(changesdeb "${libfile}")
	endforeach(libfile)

	message ("changes debian file : ${changesdeb}")
	#lintian -IEi --pedantic tandem-mass_2013.06.15-1_amd64.changes
	add_custom_target(lintian
		lintian -IEi --pedantic ${changesdeb}
		DEPENDS deb
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "lintian check" VERBATIM
	)

ENDIF()

SET(CTEST_UPDATE_TYPE git)
SET(UPDATE_COMMAND "git")
SET(UPDATE_OPTIONS "")

#ENABLE_TESTING()
#INCLUDE(CTest)
#IF (BUILD_TESTING)
#  ADD_SUBDIRECTORY(test)
#ENDIF(BUILD_TESTING)

configure_file (${CMAKE_SOURCE_DIR}/templates/share/applications/xtpcpp.desktop.cmake ${CMAKE_BINARY_DIR}/templates/share/applications/xtpcpp.desktop)
INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/xtpcpp DESTINATION bin)
INSTALL(FILES ${CMAKE_BINARY_DIR}/templates/share/applications/xtpcpp.desktop DESTINATION share/applications)
configure_file(${CMAKE_SOURCE_DIR}/src/resources/xtandempipeline_icon.svg ${CMAKE_BINARY_DIR}/src/resources/xtpcpp.svg COPYONLY)
INSTALL(FILES ${CMAKE_BINARY_DIR}/src/resources/xtpcpp.svg DESTINATION share/icons/hicolor/scalable/apps)

=== src/CMakeLists.txt ===
# CMake script for xtpcpp
# Author: Olivier Langella
# Created: 03/03/2015


SET(xtpcpp_RCCS xtpcpp.qrc)
# Appeler automatique le moc quand nécessaire
#SET(CMAKE_AUTOMOC ON)
# Les fichiers générés par le moc sont générés dans le dossier bin, dire à CMake de toujours 	
# inclure les entêtes de ce dossier
#SET(CMAKE_INCLUDE_CURRENT_DIR ON)

#FIND_PACKAGE(Boost REQUIRED)
#INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIRS})

FIND_PACKAGE( Qt4 COMPONENTS QTCORE QTGUI QTSVG QTXML REQUIRED )
QT4_ADD_RESOURCES(xtpcpp_RCC_SRCS ${xtpcpp_RCCS})


FIND_PACKAGE( Odsstream REQUIRED ) #ODSSTREAM_INCLUDE_DIR AND ODSSTREAM_LIBRARY
#SET (ODSSTREAM_DIR  "/home/olivier/eclipse/git/cpp_libodsstream")
#SET (ODSSTREAM_INCLUDE_DIR "${ODSSTREAM_DIR}/src")
#SET (ODSSTREAM_QT5_LIBRARY "${ODSSTREAM_DIR}/build/src/libodsstream-qt5.so")

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Xml_EXECUTABLE_COMPILE_FLAGS} ${Qt5Gui_EXECUTABLE_COMPILE_FLAGS} ${Qt5Svg_EXECUTABLE_COMPILE_FLAGS}")



#sudo apt-get install libpappsomspp-dev
FIND_PACKAGE( Pappsomspp REQUIRED )
# SET (PAPPSOMSPP_DIR  "/home/olivier/eclipse/git/pappsomspp")
# SET (PAPPSOMSPP_DIR  "/home/langella/developpement/git/pappsomspp")
# SET (PAPPSOMSPP_INCLUDE_DIR "${PAPPSOMSPP_DIR}/src")
# SET (PAPPSOMSPP_QT4_LIBRARY "${PAPPSOMSPP_DIR}/cbuild/src/libpappsomspp-qt4.so")


set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake_modules)

FIND_PACKAGE(Pwiz REQUIRED)
IF (Pwiz_FOUND)
  #INCLUDE_DIRECTORIES( ${Pwiz_INCLUDE_DIR})
  #FIND_PACKAGE(Boost REQUIRED)
  #INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIRS})
ELSE (Pwiz_FOUND)
  MESSAGE("Proteowizard library not found")
  MESSAGE("did you apt-get install libpwiz-dev libboost-dev ?")
ENDIF (Pwiz_FOUND)

configure_file (${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_SOURCE_DIR}/src/config.h)

# File list
SET(CPP_FILES
  core/automaticfilterparameters.cpp
  core/identificationgroup.cpp
  core/identification_sources/identificationdatasource.cpp
  core/identification_sources/identificationxtandemfile.cpp
  core/labeling/label.cpp
  core/labeling/labelingmethod.cpp
  core/msrun.cpp
  core/peptidematch.cpp
  core/peptidextp.cpp
  ./core/project.cpp
  core/proteinmatch.cpp
  core/proteinxtp.cpp
  core/sequencedatabase.cpp
  files/fastafile.cpp
  files/xpipfile.cpp
  grouping/groupingexperiment.cpp
  grouping/groupinggroup.cpp
  grouping/groupingpeptidemass.cpp
  grouping/ptm/ptmgroupingexperiment.cpp
  grouping/ptm/ptmisland.cpp
  grouping/ptm/ptmislandgroup.cpp
  grouping/ptm/ptmislandsubgroup.cpp
  gui/peptide_detail_view/spectrum_widget/spectrumpainter.cpp
  input/xpipsaxhandler.cpp
  input/xtandemsaxhandler.cpp
  output/masschroqml.cpp
  output/proticdbml.cpp
  output/ods/comparbasesheet.cpp
  output/ods/comparspecificspectrasheet.cpp
  output/ods/comparspectrasheet.cpp
  output/ods/groupingsheet.cpp
  output/ods/infosheet.cpp
  output/ods/odsexport.cpp
  output/ods/peptidepossheet.cpp
  output/ods/peptidesheet.cpp
  output/ods/proteinsheet.cpp
  output/ods/samplesheet.cpp
  output/ods/simplesheet.cpp
  output/ods/spectrasheet.cpp
  utils/fastafilestore.cpp
  utils/identificationdatasourcestore.cpp
  utils/groupstore.cpp
  utils/msrunstore.cpp
  utils/peptidestore.cpp
  utils/proteinstore.cpp
  utils/readspectrum.cpp
  utils/utils.cpp
)

set(QTLIBS ${Qt5Xml_LIBRARIES} ${Qt5Gui_LIBRARIES}  ${Qt5Svg_LIBRARIES})

# we need this to be able to include headers produced by uic in our code
# (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)

SET(XTPCPP_SRCS
  ./gui/choose_modification_dialog/choosemodificationdialog.cpp
  ./gui/edit_label_methods/editlabelmethods.cpp
  ./gui/edit_modifications/editmodifications.cpp
  ./gui/export_spreadsheet_dialog/exportspreadsheetdialog.cpp
  ./gui/load_results_dialog/loadresultsdialog.cpp
  ./gui/mainwindow.cpp
  ./gui/peptide_detail_view/peptidewindow.cpp
  ./gui/peptide_detail_view/spectrum_widget/overlaywidget.cpp
  ./gui/peptide_detail_view/spectrum_widget/qspectrumwidget.cpp
  ./gui/peptide_list_view/peptidelistwindow.cpp
  ./gui/peptide_list_view/peptidetablemodel.cpp
  ./gui/peptide_list_view/peptidetableproxymodel.cpp
  ./gui/project_view/automatic_filter_widget/automaticfilterwidget.cpp
  ./gui/project_view/identification_group_widget/identificationgroupwidget.cpp
  ./gui/project_view/projectwindow.cpp
  ./gui/protein_view/proteinwindow.cpp
  ./gui/protein_list_view/proteinlistwindow.cpp
  ./gui/protein_list_view/proteintablemodel.cpp
  ./gui/protein_list_view/proteintableproxymodel.cpp
  ./gui/ptm_island_list_view/ptmislandlistwindow.cpp
  ./gui/ptm_island_list_view/ptmislandtablemodel.cpp
  ./gui/ptm_island_list_view/ptmislandproxymodel.cpp
  ./gui/waiting_message_dialog/waitingmessagedialog.cpp
  ./gui/workerthread.cpp
  ./utils/workmonitor.cpp
)

SET (GUI_UIS
  ./gui/choose_modification_dialog/choose_modification_dialog.ui
  ./gui/edit_label_methods/edit_label_methods.ui
  ./gui/edit_modifications/edit_modifications.ui
  ./gui/export_spreadsheet_dialog/export_spreadsheet_dialog.ui
  ./gui/load_results_dialog/load_results_dialog.ui
  ./gui/main.ui
  ./gui/peptide_detail_view/peptide_detail_view.ui
  ./gui/peptide_list_view/peptide_view.ui
  ./gui/project_view/automatic_filter_widget/automatic_filter_widget.ui
  ./gui/project_view/identification_group_widget/identification_group_widget.ui
  ./gui/project_view/project_view.ui
  ./gui/protein_list_view/protein_view.ui
  ./gui/protein_view/protein_detail_view.ui
  ./gui/ptm_island_list_view/ptm_island_list_view.ui
  ./gui/waiting_message_dialog/waiting_message_dialog.ui
)

SET(XTPCPP_MOC_HDRS
  ./gui/choose_modification_dialog/choosemodificationdialog.h
  ./gui/edit_label_methods/editlabelmethods.h
  ./gui/edit_modifications/editmodifications.h
  ./gui/export_spreadsheet_dialog/exportspreadsheetdialog.h
  ./gui/load_results_dialog/loadresultsdialog.h
  ./gui/mainwindow.h
  ./gui/peptide_detail_view/peptidewindow.h
  ./gui/peptide_detail_view/spectrum_widget/overlaywidget.h
  ./gui/peptide_detail_view/spectrum_widget/qspectrumwidget.h
  ./gui/peptide_list_view/peptidelistwindow.h
  ./gui/peptide_list_view/peptidetablemodel.h
  ./gui/peptide_list_view/peptidetableproxymodel.h
  ./gui/project_view/automatic_filter_widget/automaticfilterwidget.h
  ./gui/project_view/identification_group_widget/identificationgroupwidget.h
  ./gui/project_view/projectwindow.h
  ./gui/protein_list_view/proteinlistwindow.h
  ./gui/protein_list_view/proteintablemodel.h
  ./gui/protein_list_view/proteintableproxymodel.h
  ./gui/protein_view/proteinwindow.h
  ./gui/ptm_island_list_view/ptmislandlistwindow.h
  ./gui/ptm_island_list_view/ptmislandtablemodel.h
  ./gui/ptm_island_list_view/ptmislandproxymodel.h
  ./gui/waiting_message_dialog/waitingmessagedialog.h
  ./gui/workerthread.h
  ./utils/workmonitor.h
)


# this will run uic on .ui files:
QT4_WRAP_UI( GUI_UI_HDRS ${GUI_UIS} )

QT4_WRAP_CPP( XTPCPP_MOC_SRCS ${XTPCPP_MOC_HDRS} )


MESSAGE("XTPCPP_SRCS:  ${XTPCPP_SRCS}")


ADD_EXECUTABLE(xtpcpp main.cpp ${CPP_FILES} ${XTPCPP_SRCS} ${GUI_UI_HDRS} ${XTPCPP_MOC_SRCS} ${xtpcpp_RCC_SRCS})

target_include_directories (xtpcpp PUBLIC ${Pwiz_INCLUDE_DIR} ${PAPPSOMSPP_INCLUDE_DIR} ${ODSSTREAM_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} 
${CMAKE_CURRENT_BINARY_DIR}/gui/peptide_detail_view/spectrum_widget ${CMAKE_CURRENT_SOURCE_DIR}/gui/peptide_detail_view/spectrum_widget)
  SET_TARGET_PROPERTIES(xtpcpp
    PROPERTIES OUTPUT_NAME xtpcpp
    CLEAN_DIRECT_OUTPUT 1
    COMPILE_DEFINITIONS "${QT_DEFINITIONS}"
    #INCLUDE_DIRECTORIES "${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR}"
    )
TARGET_LINK_LIBRARIES(xtpcpp ${PAPPSOMSPP_QT4_LIBRARY} ${Pwiz_LIBRARY} ${ODSSTREAM_QT4_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSVG_LIBRARY} ${QT_QTXML_LIBRARY})

INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/xtpcpp DESTINATION bin)

#configure_file (${CMAKE_SOURCE_DIR}/templates/share/applications/pt-peptideviewer.desktop.cmake ${CMAKE_BINARY_DIR}/templates/share/applications/pt-peptideviewer.desktop)

=== debian/changelog ===
xtpcpp (0.1.13-1) jessie; urgency=medium

  * progress bar, now spectral count output

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 12 Jun 2017 08:59:00 +0200

xtpcpp (0.1.12-1) jessie; urgency=medium

  * first PTM island support

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 31 May 2017 10:51:11 +0200

xtpcpp (0.1.11-2) jessie; urgency=medium

  * new odsstream library

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 23 May 2017 23:09:30 +0200

xtpcpp (0.1.11-1) jessie; urgency=medium

  * proticdbml output

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 20 May 2017 17:36:09 +0200

xtpcpp (0.1.10-1) jessie; urgency=medium

  * trick to read MGF files

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 12 May 2017 10:26:42 +0200

xtpcpp (0.1.9-1) jessie; urgency=medium

  * MGF peak sorting, waiting dialog, new ODS sheets (samples, groups)

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 09 May 2017 11:30:23 +0200

xtpcpp (0.1.8-1) jessie; urgency=medium

  * better peptide viewer

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 05 May 2017 16:28:16 +0200

xtpcpp (0.1.7-1) jessie; urgency=medium

  * button to link with peptide viewer

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 04 May 2017 14:47:48 +0200

xtpcpp (0.1.6-1) jessie; urgency=medium

  * new ODS sheet in outputs

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 03 May 2017 10:28:25 +0200

xtpcpp (0.1.5-2) jessie; urgency=medium

  * new export options

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 28 Apr 2017 10:30:20 +0200

xtpcpp (0.1.5-1) jessie; urgency=medium

  * new export options

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 28 Apr 2017 10:18:20 +0200

xtpcpp (0.1.4-1) jessie; urgency=medium

  * FASTA export

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 27 Apr 2017 09:19:11 +0200

xtpcpp (0.1.3-1) jessie; urgency=medium

  * thanks Ariane and Thierry

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 25 Apr 2017 16:22:04 +0200

xtpcpp (0.1.2-1) jessie; urgency=medium

  * new modification editor, new FDR mass deviation behaviour, lots of
    improvements

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 24 Apr 2017 10:17:53 +0200

xtpcpp (0.1.1-1) jessie; urgency=medium

  * bug fix and new features

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 20 Apr 2017 11:32:40 +0200

xtpcpp (0.1.0-1) jessie; urgency=medium

  * first jessie package

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 19 Apr 2017 10:15:33 +0200

xtpcpp (0.1.0-1~stretch) stretch; urgency=medium

  * first package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Apr 2017 20:55:14 +0200

=== debian/control ===
Source: xtpcpp
Maintainer: Olivier Langella <Olivier.Langella@moulon.inra.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9), cmake (>= 2.6), libqt4-dev (>= 4.8), libpappsomspp-dev (= 0.2.35-1), libpwiz-dev, libodsstream-dev
Standards-Version: 3.9.4

Package: xtpcpp
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}, libpappsomspp-qt4 (= 0.2.35-1), libpwiz3,
         libodsstream-qt4, libqtgui4
Pre-Depends: ${misc:Pre-Depends}
Description: C++ version of X!TandemPipeline

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DESTDIR=$(CURDIR)/debian/tmp

#%:
#	dh $@ --buildsystem=cmake --parallel

configure: configure-stamp
configure-stamp:
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release .
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#$(MAKE) doc
	#docbook-to-man debian/beads.sgml > beads.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp CMakeCache.txt

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(DESTDIR) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=$(DESTDIR) --list-missing
#	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## xtpcpp 0.2.40-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,19 @@
 # Global parameters
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 PROJECT(xtpcpp CXX)
+
+
+# Find includes in corresponding build directories
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+# Instruct CMake to run moc automatically when needed.
+set(CMAKE_AUTOMOC ON)
+
+
 IF(NOT CMAKE_BUILD_TYPE)
 #  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
 #      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
 #      FORCE)
-  SET(CMAKE_BUILD_TYPE Debug CACHE STRING
+  SET(CMAKE_BUILD_TYPE Release CACHE STRING
       "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
       FORCE)
 ENDIF(NOT CMAKE_BUILD_TYPE)
@@ -30,19 +38,27 @@
 ENDIF( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )
 
 #SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow -Wconversion")
-SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-
+#set(CMAKE_CXX_STANDARD 14)
+if (CMAKE_VERSION VERSION_LESS "3.1")
+    if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+        set (CMAKE_CXX_FLAGS "-std=gnu++11 ${CMAKE_CXX_FLAGS}")
+    endif ()
+else ()
+    set (CMAKE_CXX_STANDARD 14)
+endif ()
 
 #depending on libpappsomspp version :
-SET(LIBPAPPSOMSPP_VERSION "0.2.35-1")
+SET(LIBPAPPSOMSPP_VERSION "0.6.3-1")
 configure_file (${CMAKE_SOURCE_DIR}/debian/control.cmake ${CMAKE_SOURCE_DIR}/debian/control  @ONLY)
 
 
-SET(SOFTWARE_NAME "XTPcpp")
+SET(SOFTWARE_NAME "X!TandemPipeline")
+
+SET(BUILD_SYSTEM_NAME "${CMAKE_SYSTEM}")
 
 SET(XTPCPP_VERSION_MAJOR "0")
-SET(XTPCPP_VERSION_MINOR "1")
-SET(XTPCPP_VERSION_PATCH "13")
+SET(XTPCPP_VERSION_MINOR "2")
+SET(XTPCPP_VERSION_PATCH "40")
 SET(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
 
 # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
@@ -103,7 +119,6 @@
  "debian/debhelper\\\\.log"
  "build/"
  "cbuild/"
- "html"
  "Core.tag"
  "Testing"
  "build-stamp"
@@ -189,7 +204,10 @@
 #ENDIF(BUILD_TESTING)
 
 configure_file (${CMAKE_SOURCE_DIR}/templates/share/applications/xtpcpp.desktop.cmake ${CMAKE_BINARY_DIR}/templates/share/applications/xtpcpp.desktop)
+configure_file (${CMAKE_SOURCE_DIR}/win64/xtpcpp-mingw64-win7+.iss.cmake ${CMAKE_SOURCE_DIR}/win64/xtpcpp-mingw64-win7+.iss)
+
+INSTALL(FILES ${CMAKE_BINARY_DIR}/templates/share/applications/xtpcpp.desktop DESTINATION share/applications)
+
 INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/xtpcpp DESTINATION bin)
-INSTALL(FILES ${CMAKE_BINARY_DIR}/templates/share/applications/xtpcpp.desktop DESTINATION share/applications)
 configure_file(${CMAKE_SOURCE_DIR}/src/resources/xtandempipeline_icon.svg ${CMAKE_BINARY_DIR}/src/resources/xtpcpp.svg COPYONLY)
 INSTALL(FILES ${CMAKE_BINARY_DIR}/src/resources/xtpcpp.svg DESTINATION share/icons/hicolor/scalable/apps)

=== src/CMakeLists.txt ===
# CMake script for xtpcpp
# Author: Olivier Langella
# Created: 03/03/2015


SET(xtpcpp_RCCS xtpcpp.qrc)
# Appeler automatique le moc quand nécessaire
#SET(CMAKE_AUTOMOC ON)
# Les fichiers générés par le moc sont générés dans le dossier bin, dire à CMake de toujours 	
# inclure les entêtes de ce dossier
#SET(CMAKE_INCLUDE_CURRENT_DIR ON)

#FIND_PACKAGE(Boost REQUIRED)
#INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIRS})

FIND_PACKAGE( Qt5 COMPONENTS Core Gui Svg Xml PrintSupport Network REQUIRED )
QT5_ADD_RESOURCES(xtpcpp_RCC_SRCS ${xtpcpp_RCCS})

FIND_PACKAGE( ZLIB REQUIRED )

if (QCustomPlot_FOUND)
    MESSAGE("QCustomPlot_INCLUDES found ${QCustomPlot_INCLUDES}")
else (QCustomPlot_FOUND)
    FIND_PACKAGE( QCustomPlot REQUIRED )
endif (QCustomPlot_FOUND)
    
if (ODSSTREAM_QT5_FOUND)
else (ODSSTREAM_QT5_FOUND)
    FIND_PACKAGE( Odsstream REQUIRED ) #ODSSTREAM_INCLUDE_DIR AND ODSSTREAM_LIBRARY
endif (ODSSTREAM_QT5_FOUND)

#SET (ODSSTREAM_DIR  "/home/olivier/eclipse/git/libodsstream")
#SET (ODSSTREAM_INCLUDE_DIR "${ODSSTREAM_DIR}/src")
#SET (ODSSTREAM_QT5_LIBRARY "${ODSSTREAM_DIR}/build/src/libodsstream-qt5.so")

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Xml_EXECUTABLE_COMPILE_FLAGS} ${Qt5Gui_EXECUTABLE_COMPILE_FLAGS} ${Qt5Svg_EXECUTABLE_COMPILE_FLAGS}")



#sudo apt-get install libpappsomspp-dev
if (PAPPSOMSPP_QT5_FOUND)
else (PAPPSOMSPP_QT5_FOUND)
    MESSAGE("looking for PAPPSOms++ library")
	FIND_PACKAGE( Pappsomspp REQUIRED )
endif (PAPPSOMSPP_QT5_FOUND)

IF (PAPPSOMSPP_QT5_FOUND)
ELSE (PAPPSOMSPP_QT5_FOUND)
  MESSAGE("PAPPSOms++ library not found")
  MESSAGE("did you apt-get install libpappsomspp-dev ?")
ENDIF (PAPPSOMSPP_QT5_FOUND)

IF (PAPPSOMSPP_WIDGET_QT5_FOUND)
ELSE (PAPPSOMSPP_WIDGET_QT5_FOUND)
  MESSAGE("PAPPSOms++ widget library not found")
  MESSAGE("did you apt-get install libpappsomspp-widget-dev ?")
ENDIF (PAPPSOMSPP_WIDGET_QT5_FOUND)

MESSAGE("PAPPSOms++ library : ${PAPPSOMSPP_QT5_LIBRARY}")

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake_modules)

if (Pwiz_FOUND)
else (Pwiz_FOUND)
    FIND_PACKAGE(Pwiz REQUIRED COMPONENTS chrono filesystem iostreams program_options serialization system thread)
endif (Pwiz_FOUND)

if (Boost_FOUND)
else (Boost_FOUND)
    FIND_PACKAGE(Boost REQUIRED)
endif (Boost_FOUND)



if (Boost_FOUND)
    MESSAGE("Boost_LIBRARIES found ${Boost_LIB_VERSION}")
endif (Boost_FOUND)


IF (Pwiz_FOUND)
  #INCLUDE_DIRECTORIES( ${Pwiz_INCLUDE_DIR})
  #FIND_PACKAGE(Boost REQUIRED)
  #INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIRS})
ELSE (Pwiz_FOUND)
  MESSAGE("Proteowizard library not found")
  MESSAGE("did you apt-get install libpwiz-dev libboost-dev ?")
ENDIF (Pwiz_FOUND)

configure_file (${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_SOURCE_DIR}/src/config.h)

# File list
SET(CPP_FILES
  core/automaticfilterparameters.cpp
  core/identificationgroup.cpp
  core/identification_sources/identificationdatasource.cpp
  core/identification_sources/identificationmascotdatfile.cpp
  core/identification_sources/identificationpepxmlfile.cpp
  core/identification_sources/identificationpwizfile.cpp
  core/identification_sources/identificationxtandemfile.cpp
  core/labeling/label.cpp
  core/labeling/labelingmethod.cpp
  core/qvalue/computeqvalues.cpp
  core/tandem_run/tandembatchprocess.cpp
  core/tandem_run/tandemcondorprocess.cpp
  core/tandem_run/tandemparameters.cpp
  core/msrun.cpp
  core/peptideevidence.cpp
  core/peptidematch.cpp
  core/peptidextp.cpp
  core/project.cpp
  core/proteinmatch.cpp
  core/proteinxtp.cpp
  core/sequencedatabase.cpp
  files/fastafile.cpp
  files/tandemparametersfile.cpp
  files/xpipfile.cpp
  grouping/groupingexperiment.cpp
  grouping/groupinggroup.cpp
  grouping/groupingpeptidemass.cpp
  grouping/ptm/ptmgroupingexperiment.cpp
  grouping/ptm/ptmisland.cpp
  grouping/ptm/ptmislandgroup.cpp
  grouping/ptm/ptmislandsubgroup.cpp
  grouping/ptm/ptmsamplescan.cpp
  input/mascot/mascotdatparser.cpp
  input/mascot/mimeparser.cpp
  input/condorqxmlsaxhandler.cpp
  input/identificationpwizreader.cpp
  input/pepxmlsaxhandler.cpp
  input/xpipsaxhandler.cpp
  input/xtandemparamsaxhandler.cpp
  input/xtandemsaxhandler.cpp
  input/xtpxpipsaxhandler.cpp
  output/mcqr/mcqrscprotein.cpp
  output/mcqr/mcqrscpeptide.cpp
  output/ods/ptm/ptmislandsheet.cpp
  output/ods/ptm/ptmspectrasheet.cpp
  output/ods/comparbasesheet.cpp
  output/ods/comparspecificspectrasheet.cpp
  output/ods/comparspectrabypeptide.cpp
  output/ods/comparspectrasheet.cpp
  output/ods/groupingsheet.cpp
  output/ods/infosheet.cpp
  output/ods/odsexport.cpp
  output/ods/peptidepossheet.cpp
  output/ods/peptidesheet.cpp
  output/ods/proteinsheet.cpp
  output/ods/samplesheet.cpp
  output/ods/simplesheet.cpp
  output/ods/spectrasheet.cpp
  output/exportfastafile.cpp
  output/masschroqml.cpp
  output/masschroqprm.cpp
  output/mcqrspectralcount.cpp
  output/proticdbml.cpp
  output/xpip.cpp
  utils/fastafilestore.cpp
  utils/identificationdatasourcestore.cpp
  utils/groupstore.cpp
  utils/httpversion.cpp
  utils/msrunstatisticshandler.cpp
  utils/msrunstore.cpp
  utils/peptideevidencestore.cpp
  utils/peptidestore.cpp
  utils/proteinstore.cpp
  utils/utils.cpp
)

# we need this to be able to include headers produced by uic in our code
# (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)

SET(XTPCPP_SRCS
  ./gui/about_dialog/aboutdialog.cpp
  ./gui/choose_modification_dialog/choosemodificationdialog.cpp
  ./gui/edit/edit_label_methods/editlabelmethods.cpp
  ./gui/edit/edit_modifications/editmodifications.cpp
  ./gui/edit/edit_settings/editsettings.cpp
  ./gui/edit/edit_tandem_preset_dialog/edittandempresetdialog.cpp
  ./gui/export/export_masschroq_dialog/exportmasschroqdialog.cpp
  ./gui/export/export_masschroq_dialog/masschroqfileparameters.cpp
  ./gui/export/export_spreadsheet_dialog/exportspreadsheetdialog.cpp
  ./gui/load_results_dialog/loadresultsdialog.cpp
  ./gui/mainwindow.cpp
  ./gui/peptide_detail_view/peptidewindow.cpp
  ./gui/peptide_list_view/peptidelistwindow.cpp
  ./gui/peptide_list_view/peptidetablemodel.cpp
  ./gui/peptide_list_view/peptidetableproxymodel.cpp
  ./gui/project_view/identification_group_widget/identificationgroupwidget.cpp
  ./gui/project_view/projectwindow.cpp
  ./gui/protein_view/proteinwindow.cpp
  ./gui/protein_list_view/proteinlistwindow.cpp
  ./gui/protein_list_view/proteintablemodel.cpp
  ./gui/protein_list_view/proteintableproxymodel.cpp
  ./gui/ptm_island_list_view/ptmislandlistwindow.cpp
  ./gui/ptm_island_list_view/ptmislandtablemodel.cpp
  ./gui/ptm_island_list_view/ptmislandproxymodel.cpp
  ./gui/ptm_peptide_list_view/ptmpeptidelistwindow.cpp
  ./gui/ptm_peptide_list_view/ptmpeptidetablemodel.cpp
  ./gui/ptm_peptide_list_view/ptmpeptidetableproxymodel.cpp
  ./gui/ptm_peptide_list_view/ptmsequencedelegate.cpp
  ./gui/tandem_run_dialog/tandemrundialog.cpp
  ./gui/waiting_message_dialog/waitingmessagedialog.cpp
  ./gui/widgets/automatic_filter_widget/automaticfilterwidget.cpp
  ./gui/widgets/contaminant_widget/contaminantwidget.cpp
  ./gui/widgets/decoy_widget/decoywidget.cpp
  ./gui/widgets/xic_extraction_method_widget/xicextractionmethodwidget.cpp
  ./gui/widgets/massitemdelegate.cpp
  ./gui/xic_view/xic_box/xicbox.cpp
  ./gui/xic_view/xic_widgets/zivydialog.cpp
  ./gui/xic_view/xic_widgets/zivywidget.cpp
  ./gui/xic_view/xicwindow.cpp
  ./gui/xic_view/xicworkerthread.cpp
  ./gui/workerthread.cpp
  ./utils/workmonitor.cpp
)

SET (GUI_UIS
  ./gui/about_dialog/about_dialog.ui
  ./gui/choose_modification_dialog/choose_modification_dialog.ui
  ./gui/edit/edit_label_methods/edit_label_methods.ui
  ./gui/edit/edit_modifications/edit_modifications.ui
  ./gui/edit/edit_settings/edit_settings.ui
  ./gui/edit/edit_tandem_preset_dialog/edit_tandem_preset_dialog.ui
  ./gui/export/export_masschroq_dialog/export_masschroq_dialog.ui
  ./gui/export/export_spreadsheet_dialog/export_spreadsheet_dialog.ui
  ./gui/load_results_dialog/load_results_dialog.ui
  ./gui/main.ui
  ./gui/peptide_detail_view/peptide_detail_view.ui
  ./gui/peptide_list_view/peptide_view.ui
  ./gui/project_view/identification_group_widget/identification_group_widget.ui
  ./gui/project_view/project_view.ui
  ./gui/protein_list_view/protein_view.ui
  ./gui/protein_view/protein_detail_view.ui
  ./gui/ptm_island_list_view/ptm_island_list_view.ui
  ./gui/ptm_peptide_list_view/ptm_peptide_list_view.ui
  ./gui/tandem_run_dialog/tandem_run_dialog.ui
  ./gui/waiting_message_dialog/waiting_message_dialog.ui
  ./gui/widgets/automatic_filter_widget/automatic_filter_widget.ui
  ./gui/widgets/contaminant_widget/contaminant_widget.ui
  ./gui/widgets/decoy_widget/decoy_widget.ui
  ./gui/xic_view/xic_box/xic_box.ui
  ./gui/xic_view/xic_widgets/zivy_widget.ui
  ./gui/xic_view/xic_window.ui
)


# this will run uic on .ui files:
QT5_WRAP_UI( GUI_UI_HDRS ${GUI_UIS} )


MESSAGE("XTPCPP_SRCS:  ${XTPCPP_SRCS}")


ADD_EXECUTABLE(xtpcpp main.cpp ${CPP_FILES} ${XTPCPP_SRCS} ${GUI_UI_HDRS} ${xtpcpp_RCC_SRCS})

target_include_directories (xtpcpp PUBLIC ${Pwiz_INCLUDE_DIR} ${PAPPSOMSPP_INCLUDE_DIR} ${ODSSTREAM_INCLUDE_DIR} ${Boost_INCLUDE_DIRS} ${QCustomPlot_INCLUDES} ${QUAZIP_INCLUDE_DIR})

target_compile_definitions(xtpcpp PUBLIC ${QT_DEFINITIONS})
  SET_TARGET_PROPERTIES(xtpcpp
    PROPERTIES OUTPUT_NAME xtpcpp
    CLEAN_DIRECT_OUTPUT 1
    #COMPILE_DEFINITIONS "${QT_DEFINITIONS}"
    #INCLUDE_DIRECTORIES "${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR}"
    )
if (MINGW)
    TARGET_LINK_LIBRARIES(xtpcpp 
    ${PAPPSOMSPP_QT5_LIBRARY} 
    ${PAPPSOMSPP_WIDGET_QT5_LIBRARY} 
    ${Pwiz_LIBRARY} 
    ${ODSSTREAM_QT5_LIBRARY} 
    ${QCustomPlot_LIBRARIES}
    ${Boost_chrono_LIBRARY}
    ${Boost_filesystem_LIBRARY}
    ${Boost_iostreams_LIBRARY}
    ${Boost_program_options_LIBRARY}
    ${Boost_serialization_LIBRARY}
    ${Boost_system_LIBRARY}
    ${Boost_thread_LIBRARY}
    ${ZLIB_LIBRARIES}
    Qt5::Gui Qt5::Xml Qt5::Svg Qt5::PrintSupport Qt5::Network)
else (MINGW)
    TARGET_LINK_LIBRARIES(xtpcpp ${PAPPSOMSPP_QT5_LIBRARY} ${PAPPSOMSPP_WIDGET_QT5_LIBRARY} ${Pwiz_LIBRARY} ${ODSSTREAM_QT5_LIBRARY} ${QCustomPlot_LIBRARIES}
    Qt5::Gui Qt5::Xml Qt5::Svg Qt5::PrintSupport Qt5::Network)
endif (MINGW)

INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/xtpcpp DESTINATION bin)

#configure_file (${CMAKE_SOURCE_DIR}/templates/share/applications/pt-peptideviewer.desktop.cmake ${CMAKE_BINARY_DIR}/templates/share/applications/pt-peptideviewer.desktop)

=== debian/changelog ===
xtpcpp (0.2.40-1) stretch; urgency=medium

  * find spectrum directly by index if scan numbers are not supported
  * MassChroqML output without peptide labels in comments
  * new UI to choose removal contaminant mode
  * new FDR computation : decoy/target
  * FDR driven peptide theshold, available for Tandem and Mascot results

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 12 Sep 2019 09:10:45 +0200

xtpcpp (0.2.38-4) stretch; urgency=medium

  * scoring, pluggable scoring added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Jun 2019 13:37:52 +0200

xtpcpp (0.2.38-3) stretch; urgency=medium

  * refine, maximum missed cleavage sites added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Jun 2019 13:28:02 +0200

xtpcpp (0.2.38-2) stretch; urgency=medium

  * protein, use minimal annotation parameter added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Jun 2019 11:43:37 +0200

xtpcpp (0.2.38-1) stretch; urgency=medium

  * new button to look for the best MS run to use as reference in alignment
  * accepts to run TPP modified version of X!Tandem, using specific parameters
  (DIA requirements)
  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 17 Jun 2019 13:53:16 +0200

xtpcpp (0.2.37-2) stretch; urgency=medium

  * sum/max extraction bug fixed, thanks to Marlène and Thierry

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 28 May 2019 16:06:10 +0200

xtpcpp (0.2.37-1) stretch; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 24 May 2019 11:53:47 +0200

xtpcpp (0.2.36-1) stretch; urgency=medium

  * proticdbml fix
  * new tandem.exe setup control
  * better error message for tandem run process

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 16 Apr 2019 15:03:10 +0200

xtpcpp (0.2.35-2) stretch; urgency=medium

  * fix libodsstream problem

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 25 Mar 2019 11:27:19 +0100

xtpcpp (0.2.35-1) stretch; urgency=medium

  * mutation support
  * peprepro filter

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 25 Mar 2019 10:46:03 +0100

xtpcpp (0.2.34-2) stretch; urgency=medium

  * fix filename bug

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 19 Mar 2019 08:53:24 +0100

xtpcpp (0.2.34-1) stretch; urgency=medium

  * fix ppm range in MassChroqML export (thanks to Thierry Balliau)
  * new features asked by Plateforme Post-génomique de la Pitié Salpétrière - P3S 
  (Solenne Chardonnet, Cédric Pionneau)
  * write protein list view as is in ODS file
  * write peptide list view as is in ODS file
  * new ui menu in peptide and protein list wiew
  * ppm delta added in ODS spectra sheet export
  * display Nter and Cter peptide flanking regions in ODS and list views

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 Mar 2019 11:06:11 +0100

xtpcpp (0.2.33-1) stretch; urgency=medium

  * scroll area for small screens
  * xic extraction method (sum or max)
  * resilient ODS on failure
  * global settings windows
  * xic extractor reader choice

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 25 Feb 2019 13:29:57 +0100

xtpcpp (0.2.32-1) stretch; urgency=medium

  * moving to refactored PAPPSOms++ library
  * bug fixed in FASTA exports

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 06 Feb 2019 11:48:02 +0100

xtpcpp (0.2.31-2) stretch; urgency=medium

  * user agent created, variable to disable htpp get version

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 01 Feb 2019 14:36:56 +0100

xtpcpp (0.2.31-1) stretch; urgency=medium

  * new Fasta file exports by groups and subgroups
  * better MassChroqML output : check MS run file paths, set output result files, set alignment/xic exctraction/peak detection parameters

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 28 Jan 2019 15:13:20 +0100

xtpcpp (0.2.30-1) stretch; urgency=medium

  * new ODS spreadsheet dedicated to peptidomic : comparison of the
    number of spectra for each peptide in each sample

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 14 Jan 2019 10:43:00 +0100

xtpcpp (0.2.29-4) stretch; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 08 Jan 2019 16:19:34 +0100

xtpcpp (0.2.29-3) stretch; urgency=medium

  * new pappsomspp library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 02 Jan 2019 21:52:00 +0100

xtpcpp (0.2.29-1) stretch; urgency=medium

  * modification to be qcustomplot 2.0.1 compliant
  * accept labeling method containing an empty label

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 15 Dec 2018 16:51:44 +0100

xtpcpp (0.2.28-3) stretch; urgency=medium

  * mascot takes all query candidates
  * fix thread wait loading spectrum

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 07 Dec 2018 10:44:46 +0100

xtpcpp (0.2.28-2) stretch; urgency=medium

  * take only first spectrum psm in mascot parser

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 27 Nov 2018 09:21:43 +0100

xtpcpp (0.2.28-1) stretch; urgency=medium

  * improved mascot dat parser
  * ability to choose TSV as export file format
  * icon added for Windows
  * more checks on tandem binary path
  * dependency added on package tandem-mass

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 26 Nov 2018 15:29:21 +0100

xtpcpp (0.2.27-1) stretch; urgency=medium

  * look for sequence LI

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 13 Nov 2018 14:58:53 +0100

xtpcpp (0.2.26-1) stretch; urgency=medium

  * display distinctively the FDR on peptides and on PSM

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 09 Nov 2018 10:50:11 +0100

xtpcpp (0.2.25-2) stretch; urgency=medium

  * new version number 0.2.25

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 02 Nov 2018 15:31:01 +0100

xtpcpp (0.2.25-1) stretch; urgency=medium

  * mascot parser fix for single fasta file


=== debian/control ===
Source: xtpcpp
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 2.6),
               qtbase5-dev,
               libpappsomspp-widget-dev (= 0.6.3-1),
               libpwiz-dev,
               libodsstream-qt5-dev,
               libboost1.62-dev,
               libqt5svg5-dev,
               libboost-dev,
               libqcustomplot-dev
Standards-Version: 3.9.8

Package: xtpcpp
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpappsomspp-widget0 (= 0.6.3-1),
         tandem-mass,
         libpwiz3,
         libodsstream-qt5-0,
         libqt5gui5,
         libqt5core5a,
         libqt5xml5,
         libqt5svg5,
         libqt5network5,
         libqcustomplot2.0
Pre-Depends: ${misc:Pre-Depends}
Description: C++ version of X!TandemPipeline

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DCMAKE_SKIP_RPATH=1
	
override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(DESTDIR)
